curl --request PUT \
--url https://v1.api.altostrat.io/captive/auth-integrations/{authIntegrationId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Azure AD - Corporate",
"type": "azure",
"config": {
"client_id": "a1b2c3d4-e5f6-a7b8-c9d0-e1f2a3b4c5d6",
"client_secret": "YOUR_CLIENT_SECRET",
"tenant": "organizations"
}
}
'import requests
url = "https://v1.api.altostrat.io/captive/auth-integrations/{authIntegrationId}"
payload = {
"name": "Azure AD - Corporate",
"type": "azure",
"config": {
"client_id": "a1b2c3d4-e5f6-a7b8-c9d0-e1f2a3b4c5d6",
"client_secret": "YOUR_CLIENT_SECRET",
"tenant": "organizations"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Azure AD - Corporate',
type: 'azure',
config: {
client_id: 'a1b2c3d4-e5f6-a7b8-c9d0-e1f2a3b4c5d6',
client_secret: 'YOUR_CLIENT_SECRET',
tenant: 'organizations'
}
})
};
fetch('https://v1.api.altostrat.io/captive/auth-integrations/{authIntegrationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "c4d5e6f7-8a9b-0c1d-2e3f-4a5b6c7d8e9f",
"name": "Azure AD - Corporate",
"type": "azure",
"config": {
"client_id": "a1b2c3d4-e5f6-a7b8-c9d0-e1f2a3b4c5d6",
"tenant": "organizations"
},
"test_url": "https://captive.altostr.at/auth-test/c4d5e6f7...?signature=...",
"created_at": "2025-10-28T10:00:00Z"
}{
"type": "invalid_request_error",
"code": "parameter_missing",
"message": "The 'name' parameter is required for this request.",
"doc_url": "https://docs.altostrat.io/errors/parameter_missing"
}{
"type": "invalid_request_error",
"code": "parameter_missing",
"message": "The 'name' parameter is required for this request.",
"doc_url": "https://docs.altostrat.io/errors/parameter_missing"
}{
"type": "invalid_request_error",
"code": "parameter_missing",
"message": "The 'name' parameter is required for this request.",
"doc_url": "https://docs.altostrat.io/errors/parameter_missing"
}{
"type": "invalid_request_error",
"code": "parameter_missing",
"message": "The 'name' parameter is required for this request.",
"doc_url": "https://docs.altostrat.io/errors/parameter_missing"
}{
"type": "invalid_request_error",
"code": "parameter_missing",
"message": "The 'name' parameter is required for this request.",
"doc_url": "https://docs.altostrat.io/errors/parameter_missing"
}Update an auth integration
Updates the configuration of an existing authentication integration.
Authorizations
API Key authentication. Provide your token in the 'Authorization' header. Example: Authorization: Bearer <YOUR_TOKEN>
Path Parameters
The unique identifier for the authentication integration.
"c4d5e6f7-8a9b-0c1d-2e3f-4a5b6c7d8e9f"
Body
Response
The auth integration was updated successfully.
The unique identifier for the authentication integration.
"c4d5e6f7-8a9b-0c1d-2e3f-4a5b6c7d8e9f"
A human-readable name for the integration.
"Azure AD - Corporate"
The type of identity provider.
azure, github, google "azure"
The configuration credentials for the provider. The client_secret is write-only and will not be returned in API responses.
Show child attributes
Show child attributes
A signed URL that can be used to test the authentication flow for this integration.
"https://captive.altostr.at/auth-test/c4d5e6f7...?signature=..."
The timestamp when the integration was created.
"2025-10-28T10:00:00Z"
Was this page helpful?